Create Payment Line

Creates a new payment line. The API consumer must provide a unique GUID for the paymentLineId. Supports Cash and EFT (with external payment data storage) payments. Returns the saleId and a refresh object with SystemIds of updated entities and totals.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
paymentLineIdUUIDRequired
The id of a payment line within a POS sale.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Request

This endpoint expects an object.
paymentMethodCodestringRequired
paymentTypeenumRequired

Type of payment (Cash or EFT)

Allowed values:
amountdoubleRequired
descriptionstringOptional
maskedCardNostringOptional

For EFT payments - masked card number

pspReferencestringOptional

For EFT payments - PSP reference number

parTokenstringOptional

For EFT payments - PAN token for recurring payments

cardApplicationIdstringOptional

For EFT payments - card application ID (AID) for payment method mapping

successbooleanOptional

For EFT payments - whether the payment was successful

eftReceiptlist of stringsOptional

For EFT payments - receipt lines to store

Response

This endpoint returns an object.
saleIdUUID
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
receiptNostring
posUnitstring
posStorestring
datedate
startTimedatetime
customerNostring
salespersonCodestring
vatBusinessPostingGroupstring
refreshedSaleLineslist of objects
Full objects for all sale lines that were created or modified
refreshedPaymentLineslist of objects
Full objects for all payment lines that were created or modified
deletedSaleLineslist of strings

Array of SystemIds (UUIDs) for sale lines that were deleted

deletedPaymentLineslist of strings

Array of SystemIds (UUIDs) for payment lines that were deleted

totalSalesAmountInclVatdouble
Total amount of all sale lines including VAT
totalPaymentAmountdouble
Total amount of all payment lines